# Changelog

## March 25, 2025

Added support for new tokens.

| Name            | Code | Network |
| --------------- | ---- | ------- |
| Polygon Token   | POL  | Polygon |
| Native USD Coin | USDC | Polygon |

Refer to the [Supported Currencies](/api-basics/supported-currencies.md) page for more detail.

## February 1, 2025

Added support for Chinese Yuan (CNY), Brazilian Real (BRL), Chilean Peso (CLP) and Indian Rupee (INR) currencies.

The following currency pairs are available and supported in invoices, channels and payouts:

* crypto/CNY
* crypto/BRL
* crypto/CLP
* crypto/INR

When creating invoices, channels, and payouts with these currencies, you must also supply the account currency to process payments through (e.g. `EUR`).

## January 15, 2025

Merchants can now supply their preferred account currency when creating invoices, channels and payouts.

* For invoices, it's a new optional `targetCurrency` parameter which specifies the account that an invoice payment amount should be credited to.
* For channels, it's a new optional `localCurrency` parameter which specifies the currency code that a channel deposit amount should be denoted in.
* For payouts, it's a new optional `chargeCurrency` parameter which specifies the account that a payout amount should be debited from.
* For payment links, it's a new optional `accountCurrency` parameter which specifies the account that a payment amount should be credited/debited to/from.

## January 3, 2025

Added support for Canadian Dollar (CAD) and New Zealand Dollar (NZD) currencies.

The following currency pairs and directions are available and supported in exchanges, invoices, channels and payouts:

* crypto/CAD - buy and sell
* crypto/NZD - buy and sell
* EUR/CAD - buy and sell
* EUR/NZD - buy and sell

## December 14, 2024

The [Fiat Settlement API](/fiat-settlements/listing-bank-accounts.md) endpoints are exposed in the public API, allowing platform clients to fetch data about bank accounts linked to their transaction accounts, as well as to receive webhook notifications related to bank deposits and withdrawals.

## December 5, 2024

Platform users can now request CSV transaction reports containing data on all currency account transactions via the UI and receive the files at their registered email addresses. Navigate to the Reports page from the left-hand menu in your Txn account.

## November 15, 2024

Added support for a new token.

| Name      | Code | Network          |
| --------- | ---- | ---------------- |
| Chainlink | LINK | Ethereum (ERC20) |

Refer to the [Supported Currencies](/api-basics/supported-currencies.md) page for more detail.

## November 11, 2024

Added support for new cryptocurrencies and tokens.

| Name         | Code | Network          |
| ------------ | ---- | ---------------- |
| Bitcoin Cash | BCH  | Bitcoin Cash     |
| Litecoin     | LTC  | Litecoin         |
| Ether        | ETH  | Ethereum         |
| Tether USD   | USDT | Ethereum (ERC20) |
| USD Coin     | USDC | Ethereum (ERC20) |
| XRP          | XRP  | Ripple           |

Refer to the [Supported Currencies](/api-basics/supported-currencies.md) page for more detail.

**CNH trading currency pairs delisted**

Txn no longer supports currency pairs and trading routes for buying and selling CNH. We are working on a comprehensive solution to support additional fiat currencies.

**Additional routes for crypto-crypto invoices and payouts**

Invoice Flow: USDT <- BTC, BCH, LTC, ETH, USDT, USDC, TRX, XRP. Users can pay with any of the supported cryptocurrencies or tokens, and merchants are settled in USDT.

Payout Flow: USDT -> BTC, BCH, LTC, ETH, USDT, USDC, TRX, XRP. Users can request payouts in any supported cryptocurrency or token, which will be processed from the merchant’s USDT balance.

**Endpoints for listing and creating account addresses**

Txn clients can now access API endpoints for [listing](/accounts/listing-account-addresses.md) and [creating](/accounts/creating-account-address.md) account addresses.

## October 10, 2024

Handling of invoice payment exception scenarios and automated invoice refunds are now available for Txn clients.

Merchants can now use automated by Txn payment refunds in scenarios where their end-users overpay, underpay, or make a payment after the invoice has expired. Txn issues a refund payment link, which can be embedded or emailed to the end-user. On the refund webpage, end-users are asked to provide their wallet address where they would like to receive their refund.

Please refer to the [Invoice Refunds](/invoices/invoice-refunds.md) page for more information on how it works for both merchants and their end-users.

## October 8, 2024

The Channels related public API endpoints made available to Txn clients:

* [Create channel](/channels/creating-channel.md)
* [Read channel](/channels/reading-channel.md)
* [Update channel](/channels/updating-channel.md)
* [List channels](/channels/listing-channels.md)
* [List channel deposits by channel ID](/channels/listing-channel-deposits.md)
* [Read channel deposit](/channels/reading-channel-deposit.md)

## September 20, 2024

Added support for Offshore Renminbi (CNH) currency.

The following currency pairs and directions are available and supported in exchanges, invoices, channels and payouts:

* USDT/CNH - buy and sell
* BTC/CNH - buy and sell

## September 16, 2024

Webhook messages are now available in both Production and Sandbox environments.

For more information, please refer to the [Webhooks](/api-basics/webhooks.md) page.

## August 21, 2024

**Invoices**

The following optional parameters are now supported in the [Create Invoice](/invoices/creating-invoice.md) API call:

* **successRedirectUrl**: Specifies the URL to which your customer will be redirected after a successful invoice completion
* **unsuccessRedirectUrl**: Specifies the URL to redirect your customer if the invoice expires, is canceled, or is rejected

Additionally, invoices now come with hosted web pages provided by Txn. You can either embed these hosted pages within your UI or redirect your customers to them. The API response for each invoice now includes the **hostedPageUrl** attribute, which contains the URL of the hosted page.

**Payouts**

The following optional parameter is now supported in the [Create Payout](/payouts/creating-payout.md) API call:

* **absorbFees**: If true, both service and network fees are deducted from the transaction amount. If false, both fees are deducted from your account balance.

## July 23, 2024

The [Validate Address](/payouts/validating-addresses.md) endpoint made available for Txn Public API users. This new feature enhances the security and reliability of your crypto payout transactions by providing address validation capabilities.

Key Features:

* **Address Format Validation:** Ensures that the provided address adheres to the correct format
* **Address Risk Profile Assessment:** Evaluates the risk associated with the address, helping to mitigate fraudulent transactions

**Usage Recommendation:** We strongly recommend that Txn merchants utilize this endpoint to validate destination wallet addresses before initiating crypto payouts via the [Create Payout](/payouts/creating-payout.md) endpoint. By doing so, you can prevent potential issues arising from invalid address formats or high-risk addresses.

## July 12, 2024

The Invoices and Payouts related public API endpoints made available to Txn clients:

**Invoices**

* [Create invoice](/invoices/creating-invoice.md)
* [Read invoice](/invoices/reading-invoice.md)
* [List invoices](/invoices/listing-invoices.md)

**Payouts**

* [Create payout](/payouts/creating-payout.md)
* [Read payout](/payouts/reading-payout.md)
* [List payouts](/payouts/listing-payouts.md)

## July 2, 2024

The Accounts and Exchange related public API endpoints made available to Txn clients:

**Accounts**

* [List accounts](/accounts/listing-accounts.md)
* [Read account](/accounts/reading-account.md)
* [List account transactions](/accounts/listing-account-transactions.md)
* [Read account transaction](/accounts/reading-account-transaction.md)

**Exchange**

* [Read exchange rate](/exchange/reading-exchange-rates.md)
* [Create quote](/exchange/creating-quote.md)
* [Confirm quote](/exchange/confirming-quote.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/api-basics/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
